Bug 2654 - Allow additional MT targets
Summary: Allow additional MT targets
Status: RESOLVED FIXED
Alias: None
Product: Infrastructure
Classification: Unclassified
Component: newinfra (show other bugs)
Version: unspecified
Hardware: All All
: P4 - Within a month normal
Assignee: Sjur Nørstebø Moshagen
URL:
Keywords:
Depends on:
Blocks: 2613
  Show dependency treegraph
 
Reported: 2020-03-28 22:49 CET by Sjur Nørstebø Moshagen
Modified: 2020-04-07 16:18 CEST (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sjur Nørstebø Moshagen 2020-03-28 22:49:40 CET
See svn commit 188894 by unhammer, which adds target definitions below the include line (forbidden teritory), because that is the only possible location: the variable being extended is defined in the included file, and is thus not yet available within the area set asite for local additions.

Must be fixed before we move to github, and should be easy to fix.
Comment 1 Sjur Nørstebø Moshagen 2020-04-02 10:12:30 CEST
This also goes for the variables

APERTIUM_ANALYSER_HFST=
APERTIUM_GENERATORS_HFST=

in tools/mt/Makefile.am / am-shared/tools-mt-dir-include.am
Comment 2 Sjur Nørstebø Moshagen 2020-04-07 16:18:58 CEST
Fixed in rev 189372, 189374-189376, 189378, 189380 and 189382.

This is at the same time a beginning of fixing bug #3658.